Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          igeo.gui.IFileFilter

All Implemented Interfaces:
  java.io.FilenameFilter

    public class IFileFilter

extends javax.swing.filechooser.FileFilter
implements java.io.FilenameFilter

Field Summary
`java.lang.String[]` | `extensions`
`java.lang.String` | `msg`

Constructor Summary
`IFileFilter(java.lang.String[] extensions, java.lang.String msg)`
`IFileFilter(java.lang.String extension, java.lang.String msg)`
`IFileFilter(java.lang.String extension1, java.lang.String extension2, java.lang.String msg)`
`IFileFilter(java.lang.String extension1, java.lang.String extension2, java.lang.String extension3, java.lang.String msg)`

Method Summary
`boolean` | `accept(java.io.File f)`
`boolean` | `accept(java.io.File dir, java.lang.String name)`
`static java.lang.String[]` | `createCaseVariation(java.lang.String ext)`
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extensions

    public java.lang.String[] extensions

### msg

    public java.lang.String msg

Constructor Detail

### IFileFilter

    public IFileFilter(java.lang.String extension,
                       java.lang.String msg)

### IFileFilter

    public IFileFilter(java.lang.String extension1,
                       java.lang.String extension2,
                       java.lang.String msg)

### IFileFilter

    public IFileFilter(java.lang.String extension1,
                       java.lang.String extension2,
                       java.lang.String extension3,
                       java.lang.String msg)

### IFileFilter

    public IFileFilter(java.lang.String[] extensions,
                       java.lang.String msg)

Method Detail

### createCaseVariation

    public static java.lang.String[] createCaseVariation(java.lang.String ext)

### accept

    public boolean accept(java.io.File f)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD